import request from '@/utils/request'

// 查询民政管理-处罚列表
export function listPenalties(query) {
    return request({
        url: '/crmCivilPenalties/findByPage',
        method: 'get',
        params: query
    })
}

// 查询民政管理-处罚详细
export function getPenalties(id) {
    return request({
        url: '/crmCivilPenalties/' + id,
        method: 'get'
    })
}

// 新增民政管理-处罚
export function addPenalties(data) {
    return request({
        url: '/crmCivilPenalties',
        method: 'post',
        data: data
    })
}

// 修改民政管理-处罚
export function updatePenalties(data) {
    return request({
        url: '/crmCivilPenalties',
        method: 'put',
        data: data
    })
}

// 删除民政管理-处罚
export function delPenalties(id) {
    return request({
        url: '/crmCivilPenalties/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delPenaltiesBatch(ids) {
    console.log(ids);
    return request.post('/crmCivilPenalties/delete',ids)
}